package com.ruoyi.system.mapper.grid;

import com.ruoyi.system.domain.grid.GridCompanyPeople;
import com.ruoyi.system.domain.grid.GridCompanyPeopleExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface GridCompanyPeopleMapper {
    long countByExample(GridCompanyPeopleExample example);

    int deleteByExample(GridCompanyPeopleExample example);

    int deleteByPrimaryKey(String id);

    int insert(GridCompanyPeople record);

    int insertSelective(GridCompanyPeople record);

    List<GridCompanyPeople> selectByExample(GridCompanyPeopleExample example);

    GridCompanyPeople selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") GridCompanyPeople record, @Param("example") GridCompanyPeopleExample example);

    int updateByExample(@Param("record") GridCompanyPeople record, @Param("example") GridCompanyPeopleExample example);

    int updateByPrimaryKeySelective(GridCompanyPeople record);

    int updateByPrimaryKey(GridCompanyPeople record);
}
